<div>
    <h2 id="page-heading">
        <span>Product Price Rules</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-product-price-rule" [routerLink]="['/product-price-rule/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Product Price Rule
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="productPriceRules?.length === 0">
        <span>No productPriceRules found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="productPriceRules && productPriceRules.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Product Id</span></th>
                    <th scope="col" ><span>Used Quota</span></th>
                    <th scope="col" ><span>Price Sale</span></th>
                    <th scope="col" ><span>Price Base</span></th>
                    <th scope="col" ><span>Status</span></th>
                    <th scope="col" ><span>Active Start Date</span></th>
                    <th scope="col" ><span>Active End Date</span></th>
                    <th scope="col" ><span>Active</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let productPriceRule of productPriceRules ;trackBy: trackId">
                    <td><a [routerLink]="['/product-price-rule', productPriceRule.id, 'view']">{{ productPriceRule.id }}</a></td>
                    <td>{{ productPriceRule.productId }}</td>
                    <td>{{ productPriceRule.usedQuota }}</td>
                    <td>{{ productPriceRule.priceSale }}</td>
                    <td>{{ productPriceRule.priceBase }}</td>
                    <td>{{ productPriceRule.status }}</td>
                    <td>{{ productPriceRule.activeStartDate | date:'mediumDate' }}</td>
                    <td>{{ productPriceRule.activeEndDate | date:'mediumDate' }}</td>
                    <td>{{ productPriceRule.active }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/product-price-rule', productPriceRule.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/product-price-rule', productPriceRule.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(productPriceRule)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
